首页新闻找找看学习计划

在插件框架设计中,插件引用如何避免版本不一致?

0
悬赏园豆:5 [待解决问题]

例如,
插件框架中,插件A引用了Basejar-1.0版本,插件B引用了Basejar-2.0版本,
那么,插件管理器运行时报错,如何保持一致或者使插件单独运行?

SoghipG的主页 SoghipG | 初学一级 | 园豆:197
提问于:2018-09-04 10:56
< >
分享
所有回答(1)
0

没啥法子.让程序员保持第三方库是最新的就行了.

吴瑞祥 | 园豆:28731 (高人七级) | 2018-09-04 12:54

如果插件是不同公司的工程师编写呢?

支持(0) 反对(0) SoghipG | 园豆:197 (初学一级) | 2018-09-04 13:51
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册